#### D.12.4.5 monomialLcm

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  monomialLcm(m,n); m,n of type poly or vector

Return:
  least common multiple of leading monomials of m and n, of type poly

Note:
  if m = (x1...xr)^(a1,...,ar)*gen(i) (gen(i)=1 if m is of type poly) and n = (x1...xr)^(b1,...,br)*gen(j), then the proc returns (x1,...,xr)^(max(a1,b1),...,max(ar,br)) if i=j and 0 if i!=j.

Example:

    LIB "teachstd.lib";
    ring r=0,(x,y,z),ds;
    monomialLcm(xy2,yz3);
    ==> xy2z3
    monomialLcm([xy2,xz],[yz3]);
    ==> 0
    monomialLcm([xy2,xz3],[yz3]);
    ==> xy2z3

User manual for Singular version 4.4.1, 2025, generated by texi2html.